# $Revision: 1.27 $, $Date: 2007/01/23 15:47:01 $
# TODO
# - strange error when accessing "/~watch-info":
#   [Thu Feb 10 03:16:16 2005] [warn] " 1\n\b" concurrency counter went negative; resetting to zero

%bcond_without	ipv6		# disable IPv6 support

%define		mod_name	watch
%define 	apxs		/usr/sbin/apxs1
Summary:	Apache module: Monitoring Interface for MRTG
Summary(pl):	Modu do apache: Interfejs do monitorowania za pomoc MRTG
Name:		apache1-mod_%{mod_name}
Version:	3.18
Release:	4
License:	BSD
Group:		Networking/Daemons
Source0:	http://www.snert.com/Software/download/mod_watch%(echo %{version} | tr -d .).tgz
# Source0-md5:	1409df800f24214bed16ca753b9967ff
Source1:	%{name}.conf
Patch0:		%{name}-PLD-v6stuff.patch
URL:		http://www.snert.com/Software/mod_watch/
BuildRequires:	%{apxs}
#{?with_ipv6:BuildRequires:	apache1(ipv6)-devel}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_watch <= 3.18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This module will watch and collect the bytes, requests, and documents
in & out per virtual host, file owner, remote-ip address, directory or
location, and the web server as a whole. This module was designed for
use with MRTG, which will make nice graphical representations of the
data, but is general enough that it can be applied to other purposes,
as the raw data is accessed by a URL. This module supports
mod_vhost_alias and mod_gzip.

%description -l pl
Ten modu kontroluje i zbiera informacje na temat iloci przesanych
bajtw (przychodzcych i wychodzcych) wg. serwera wirtualnego,
waciciela plikw, zdalnego adresu ip, katalogu lub lokacji oraz
serwera jako caoci. Modu zosta zaprojektowany do pracy z MRTG,
dziki czemu otrzymamy adn, graficzn reprezentacje danych. Modu
wspiera mod_vhost_alias oraz mod_gzip.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%{?with_ipv6:%patch -p0}

mv mod_watch.html mod_watch_pl.html

%build
%{__make} build-dynamic \
	APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

sed -e 's/<!--#/<!--/g' index.shtml > mod_watch.html

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- %{name} < 3.18-1.1
if grep -q '^Include conf\.d/\*\.conf' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	sed -i -e '
		/^Include.*mod_%{mod_name}\.conf/d
	' /etc/apache/apache.conf
else
	# they're still using old apache.conf
	sed -i -e '
		s,^Include.*mod_%{mod_name}\.conf,Include %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf,
	' /etc/apache/apache.conf
fi
%service -q apache restart

%files
%defattr(644,root,root,755)
%doc CHANGES* *.html
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_watch.spec,v $
Revision 1.27  2007/01/23 15:47:01  glen
- rel 4 (R: apache1(EAPI) instead of apache1)

Revision 1.26  2006/04/14 17:15:51  glen
- use %service

Revision 1.25  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.24  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.23  2005/09/17 01:23:44  glen
- correction for detecting conf.d apache support

Revision 1.22  2005/02/28 22:36:33  glen
- remove BR that builder can't stand; rel 3; STBR

Revision 1.21  2005/02/24 18:37:25  glen
- rel 2; STBR

Revision 1.20  2005/02/16 18:18:58  glen
- restart apache in %postun rather in %preun
- remove unneeded post,preun deps

Revision 1.19  2005/02/10 01:49:12  glen
- confdir enabled apache1
- added ipv6 bcond

Revision 1.18  2004/11/04 13:31:52  paladine
- spaces->tabs
- cosmetics

Revision 1.17  2004/10/29 09:02:01  paladine
- "HTTP" unification

Revision 1.16  2004/09/05 17:18:13  radek
- use "%(%{apxs} -q SYSCONFDIR)" for _sysconfdir definition

Revision 1.15  2004/09/05 16:44:01  radek
- fixed paths

Revision 1.14  2004/09/05 16:39:02  radek
- cp apache{,1}-*; version 3.18; unifications

Revision 1.13  2003/08/06 16:12:42  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.12  2003/05/28 13:54:49  malekith
- use tr not sed for computing version (simpler and catched by distfiles)

Revision 1.11  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/12/29 01:44:28  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.8  2002/12/07 14:32:49  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.7  2002/08/30 18:55:28  radek
- missing html file, example config; release 3

Revision 1.6  2002/08/30 10:21:05  radek
- release up, better IPv6 workaround

Revision 1.5  2002/08/29 20:29:05  radek
- fixed previous log message: mistake

Revision 1.4  2002/08/29 20:25:54  radek
- version 3.13, builds now

Revision 1.3  2002/08/13 15:06:22  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.2  2002/03/26 23:47:23  misiek
- fixed huge bug (zeroing httpd.conf after deinstalation)

Revision 1.1  2002/03/25 14:26:41  misiek
- initial release (todo: ipv6 support)
